Name:		xorg-x11-server-Xgl
Version:	1.0.1
Release:	b1
Summary:	Xserver that uses OpenGL for its drawing operations
Provides:	Xgl
License:	X11/MIT
URL:		http://www.freedesktop.org/Software/Xgl
Group:		User Interface/X
BuildRequires:  freeglut-devel freetype-devel gcc-c++ GConf2-devel
BuildRequires:	libdrm-devel libpng-devel mesa-source
BuildRequires:	xorg-x11-xtrans-devel libXfont-devel libfontenc-devel
BuildRequires:	libxkbui-devel libXaw-devel libXpm-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:	http://xorg.freedesktop.org/X11R7.0/src/xserver/xorg-server-1.0.1.tar.bz2
Source2:        README.SUSE

BuildRequires:	glitz-devel
BuildArchitectures: i586

%description
Xgl is an Xserver that uses OpenGL for its drawing operations. Some
operations like antialiased font rendering is noticably faster with
this technology, and future graphics hardware might only have support
for 3D operations and no 2D core any more.

Note that this is highly experimental code, it has been tested only on
few hardware platforms, and depending on driver state it may even crash
your computer. But you like danger, dontcha? That's right.

%prep
%setup -q -n xorg-server-%{version}

%build
automake; autoconf
%configure --enable-xgl --disable-xorg --disable-xprint --enable-glx --enable-dri --with-mesa-source=%{_datadir}/mesa/source --with-release-snap=1 --disable-dmx --disable-xvfb --disable-xnest --enable-xglx --with-default-font-path="unix/:7100" --sysconfdir=/etc/X11 --with-rgb-path=%{_datadir}/X11/rgb
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
cp %{SOURCE2} .
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
rm -rf $RPM_BUILD_ROOT%{_libdir}/xserver
rm -rf $RPM_BUILD_ROOT%{_datadir}

%files
%defattr(-, root, root)
#%doc README.*
%{_bindir}/Xgl
%{_libdir}/xorg/modules/xgl/

%changelog
* Mon Apr 24 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
